# The Swoole\Timer class

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

## Introduction

## Class synopsis

Swoole\Timer {
/* Methods */
public static after ( int `$after_time_ms` , callable `$callback` ) : void
public static clear ( integer `$timer_id` ) : void
public static exists ( integer `$timer_id` ) : boolean
public static tick ( integer `$interval_ms` , callable `$callback` [, string `$param` ] ) : void
}

## Table of Contents

- Swoole\Timer::after — Trigger a callback function after a period of time.
- Swoole\Timer::clear — Delete a timer by timer ID.
- Swoole\Timer::exists — Check if a timer is existed.
- Swoole\Timer::tick — Repeats a given function at every given time-interval.